=== image_pipeline/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_pipeline)
find_package(catkin REQUIRED)
catkin_metapackage()
