=== debian/changelog ===
ros-image-pipeline (1.17.0-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 22:52:20 +0100

ros-image-pipeline (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 25 Oct 2022 07:31:47 +0200

ros-image-pipeline (1.16.0-6) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018628)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:45:03 +0200

ros-image-pipeline (1.16.0-5) unstable; urgency=medium

  * Add patch for new pluginlib

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jul 2022 12:43:10 +0200

ros-image-pipeline (1.16.0-4) unstable; urgency=medium

  * Add Breaks+Replaces libimage-proc-dev (<< 1.16.0-3)
    Thanks to Andreas Beckmann

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Jun 2022 07:41:46 +0200

ros-image-pipeline (1.16.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Jochen Sprickerhof ]
  * Move image_proc/package.xml to ros-image-proc
  * Add patch for new pluginlib
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 19:41:15 +0200
