=== debian/control ===
Source: ros-image-pipeline
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Johannes 'josch' Schauer <josch@debian.org>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libboost-filesystem-dev,
 libboost-python-dev,
 libcamera-info-manager-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libgtest-dev,
 libimage-geometry-dev,
 libimage-transport-dev,
 libnodelet-topic-tools-dev,
 libnodeletlib-dev,
 librosconsole-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-srvs-dev,
 libstereo-msgs-dev,
 libtf-conversions-dev,
 libtf2-dev,
 libtf2-geometry-msgs-dev,
 libtf2-ros-dev,
 libtinyxml2-dev,
 python3-cv-bridge <!nocheck>,
 python3-dynamic-reconfigure,
 python3-image-geometry <!nocheck>,
 python3-opencv <!nocheck>,
 python3-rostest <!nocheck>,
 python3:any,
 ros-cmake-modules,
 ros-sensor-msgs,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-pipeline
Vcs-Git: https://salsa.debian.org/science-team/ros-image-pipeline.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_pipeline

Package: python3-camera-calibration
Architecture: all
Section: python
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS camera_calibration Python3 package
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. Python3 version.

Package: libdepth-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdepth-image-proc0d (= ${binary:Version}),
 libimage-geometry-dev,
 libimage-transport-dev,
 libnodelet-dev,
 libtf-conversions-dev,
 libtf2-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS depth-image-proc package - development
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.
 .
 It contains C++ headers for the libdepth-image-proc.

Package: libdepth-image-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS depth-image-proc package
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.

Package: libimage-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-geometry-dev,
 libimage-proc0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libnodelet-topic-tools-dev,
 libsensor-msgs-dev,
 ros-image-proc,
 ${misc:Depends},
Description: Robot OS mage-proc package - development
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.
 .
 It contains C++ headers for the libimage-proc.

Package: libimage-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS Single image rectification and color processing
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.

Package: libimage-publisher-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcamera-info-manager-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-publisher0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: Robot OS image publishing - development
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file
 .
 It contains C++ headers for the libimage-publisher.

Package: libimage-publisher0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image publishing
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file

Package: libimage-rotate-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-rotate0d (= ${binary:Version}),
 libimage-transport-dev,
 libnodelet-dev,
 libtf2-geometry-msgs-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS image rotate - development
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.
 .
 It contains C++ headers for the libimage-rotate.

Package: libimage-rotate0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image rotate stream
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.

Package: libimage-view-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcamera-calibration-parsers-dev,
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-transport-dev,
 libimage-view0d (= ${binary:Version}),
 libmessage-filters-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 libstd-srvs-dev,
 libstereo-msgs-dev,
 ${misc:Depends},
Description: Robot OS image_view - development
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images
 .
 It contains C++ headers for the libimage-view.

Package: libimage-view0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS image_view package
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images

Package: libstereo-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcv-bridge-dev (>= 1.15.0+ds-8~),
 libdynamic-reconfigure-config-init-mutex-dev,
 libimage-geometry-dev,
 libimage-proc-dev,
 libimage-transport-dev,
 libmessage-filters-dev,
 libnodelet-dev,
 libsensor-msgs-dev,
 libstereo-image-proc0d (= ${binary:Version}),
 libstereo-msgs-dev,
 ${misc:Depends},
Description: Robot OS stereo-image-proc - development
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.
 .
 It contains C++ headers for the libstereo-image-proc.

Package: libstereo-image-proc0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS stereo-image-proc package
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.

Package: python3-image-proc
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_proc Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. Python 3 package.

Package: python3-image-publisher
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_publisher Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Python 3 package.

Package: python3-image-rotate
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_rotate Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Python 3 package.

Package: python3-image-view
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS image_view Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images. Python 3 package.

Package: python3-stereo-image-proc
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS stereo_image_proc Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing. Python 3 package.

Package: ros-camera-calibration
Architecture: all
Section: utils
Depends:
 python3,
 python3-camera-calibration,
 python3-message-filters,
 python3-sensor-msgs,
 python3-std-srvs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ROS camera_calibration nodes
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. This package
 constains ROS nodes.

Package: ros-image-proc
Architecture: any
Section: utils
Depends:
 libimage-proc0d,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libimage-proc-dev (<< 1.16.0-3),
Replaces:
 libimage-proc-dev (<< 1.16.0-3),
Description: ROS image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. This package constains a ROS node.

Package: ros-image-publisher
Architecture: any
Section: utils
Depends:
 libimage-publisher0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS image-publisher node
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Contains a ROS node.

Package: ros-image-rotate
Architecture: any
Section: utils
Depends:
 libimage-rotate0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS image-rotate node
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Contains a ROS node.

Package: ros-image-view
Architecture: any
Section: utils
Depends:
 libimage-view0d,
 python3,
 python3-image-view,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ROS image_view node
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images. Contains ROS nodes.

Package: ros-stereo-image-proc
Architecture: any
Section: utils
Depends:
 libstereo-image-proc0d,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS stereo_image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing. Contains a ROS node.
