=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

export ROS_SKIP_PACKAGES = image_pipeline

%:
	dh $@ --buildsystem=ros
