=== debian/tests/control ===
Test-Command: ./debian/tests/compilation depth_image_proc depth_image_proc/depth_conversions.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libdepth-image-proc-dev,
Features:
 test-name=libdepth-image-proc-dev,

Test-Command: ./debian/tests/compilation image_proc image_proc/ResizeConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-proc-dev,
Features:
 test-name=libimage-proc-dev,

Test-Command: ./debian/tests/compilation image_publisher image_publisher/ImagePublisherConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-publisher-dev,
Features:
 test-name=libimage-publisher-dev,

Test-Command: ./debian/tests/compilation image_rotate image_rotate/ImageRotateConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-rotate-dev,
Features:
 test-name=libimage-rotate-dev,

Test-Command: ./debian/tests/compilation image_view image_view/ImageViewConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libimage-view-dev,
Features:
 test-name=libimage-view-dev,

Test-Command: ./debian/tests/compilation stereo_image_proc stereo_image_proc/DisparityConfig.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libstereo-image-proc-dev,
Features:
 test-name=libstereo-image-proc-dev,

Test-Command: python3 -c "import camera_calibration"
Restrictions:
 allow-stderr,
Depends:
 python3-camera-calibration,
Features:
 test-name=python3-camera-calibration,

Test-Command: python3 -c "import image_proc"
Restrictions:
 allow-stderr,
Depends:
 python3-image-proc,
Features:
 test-name=python3-image-proc,

Test-Command: python3 -c "import image_publisher"
Restrictions:
 allow-stderr,
Depends:
 python3-image-publisher,
Features:
 test-name=python3-image-publisher,

Test-Command: python3 -c "import image_rotate"
Restrictions:
 allow-stderr,
Depends:
 python3-image-rotate,
Features:
 test-name=python3-image-rotate,

Test-Command: python3 -c "import image_view"
Restrictions:
 allow-stderr,
Depends:
 python3-image-view,
Features:
 test-name=python3-image-view,

Test-Command: python3 -c "import stereo_image_proc"
Restrictions:
 allow-stderr,
Depends:
 python3-stereo-image-proc,
Features:
 test-name=python3-stereo-image-proc,
